{
    "namespace": "debug_screen",
    "access_button@common_buttons.light_content_button": {
        "$pressed_button_name": "button.access",
        "size": [20, 20],
        "offset": [20, 20],
        "anchor_to": "top_left",
        "anchor_from": "top_left",
        "bindings": [{
                "binding_name": "#access_screen_visible",
                "binding_name_override": "#visible"
            }
        ]
    },
    "vince_louis_name": {
        "type": "label",
        "text": "Ice Scream Add-on",
        "shadow": true,
        "font_type": "mojangles",
        "offset": [35,-1],
        "anchor_from": "bottom_left",
        "anchor_to": "bottom_left"
    },
    "vince_louis_subscribe": {
        "type": "label",
        "text": "Subscribe To Vince Louis",
        "shadow": true,
        "font_type": "mojangles",
        "offset": [35,-10],
        "anchor_from": "bottom_left",
        "anchor_to": "bottom_left"
	},
	"vince_louis_logo": {
		"type": "image",
		"texture": "textures/creator/vince_louis",
		"layer": 3,
		"offset": [12,-5],
		"anchor_from": "bottom_left",
		"anchor_to": "bottom_left",
		"size": [ 23, 23 ]
	},
	"keplerians_logo": {
		"type": "image",
		"texture": "textures/creator/keplerians_team",
		"layer": 3,
		"offset": [-23,-6],
		"anchor_from": "bottom_right",
		"anchor_to": "bottom_right",
		"size": [ 64, 36 ]
    },
    "special_render": {
        "type": "custom",
        "renderer": "debug_screen_renderer"
    },
    "content_panel": {
        "type": "panel",
        "clips_children": false,
        "size": ["100%", "100%"],
        "controls": [{
                "access_button@debug_screen.access_button": {}
            }, {
                "special_render@debug_screen.special_render": {}                               
            }, {
                "vince_louis_name@debug_screen.vince_louis_name": {}
            }, {
                "vince_louis_subscribe@debug_screen.vince_louis_subscribe": {}
            }, {
                "vince_louis_logo@debug_screen.vince_louis_logo": {}
            }, {
                "keplerians_logo@debug_screen.keplerians_logo": {}
            }
        ]
    },
    "debug_screen@common.base_screen": {
        "send_telemetry": false,
        "screen_not_flushable": true,
        "render_game_behind": true,
        "is_showing_menu": false,
        "low_frequency_rendering": true,
        "is_modal": true,
        "should_steal_mouse": false,
        "render_only_when_topmost": false,
        "screen_draws_last": true,
        "always_accepts_input": true,
        "$screen_content": "debug_screen.content_panel",
        "$screen_animations": [],
        "$use_loading_bars": false
    }
}
